### Function

# Babl FuncLinear

#### Declaration

    void
    (* BablFuncLinear) (
      const Babl* conversion,
      const char* src,
      char* dst,
      long n,
      void* user_data
    )

#### Description

No description available.

#### Parameters

`conversion`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

`src`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dst`

  Type: `char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n`

  Type: `long`

  No description available.

`user_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.